Skip to main content
PATCH /memories/{memoryId} Updates an existing memory.

Code Examples

curl --request PATCH \
  --url 'https://api.tess.im/memories/{memoryId}' \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
    "memory": "Updated memory content",
    "collection_id": 1
  }'

URL Parameters

ParameterTypeRequiredDescription
memoryIdintegerYesID of the memory

Request Body

ParameterTypeRequiredDescription
memorystringYesNew memory content
collection_idintegerNoCollection ID to associate the memory
{
  "memory": "Updated memory content",
  "collection_id": 1
}

Response

{
"message": "Memory updated successfully!",
"memory": {
  "id": 10,
  "user_id": 1,
  "memory": "Updated memory content",
  "credits": 0,
  "collection_id": 1,
  "collection": {
    "id": 1,
    "user_id": 1,
    "name": "default"
  }
}
}

Response Codes

CodeDescription
200Success
404Memory not found
500Server error